|  | Home | Documentation | SOAP_ENV__Detail Struct Reference updated Fri Jan 12 2018 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Friends | List of all members
SOAP_ENV__Detail Struct Reference

`#include <addressStub.h>`

## Public Member Functions
int | soap_type () const
| SOAP_ENV__Detail ()
int | soap_type () const
| SOAP_ENV__Detail ()

## Public Attributes
char * | __any
int | __type
void * | fault

## Friends
SOAP_FMAC1 SOAP_ENV__Detail *SOAP_FMAC2 | address_instantiate_SOAP_ENV__Detail (struct soap *, int, const char *, const char *, size_t *)
SOAP_FMAC1 SOAP_ENV__Detail *SOAP_FMAC2 | graph_instantiate_SOAP_ENV__Detail (struct soap *, int, const char *, const char *, size_t *)

## Detailed Description

Definition at line 217 of file addressStub.h.

## Constructor & Destructor Documentation

SOAP_ENV__Detail::SOAP_ENV__Detail | ( |  | ) |
| inline

Constructor with member initializations

Definition at line 228 of file addressStub.h.

SOAP_ENV__Detail::SOAP_ENV__Detail | ( |  | ) |
| inline

Constructor with member initializations

Definition at line 138 of file graphStub.h.

## Member Function Documentation

int SOAP_ENV__Detail::soap_type | ( |  | ) | const
| inline

Return unique type id SOAP_TYPE_SOAP_ENV__Detail

Definition at line 136 of file graphStub.h.

int SOAP_ENV__Detail::soap_type | ( |  | ) | const
| inline

Return unique type id SOAP_TYPE_SOAP_ENV__Detail

Definition at line 226 of file addressStub.h.

## Friends And Related Function Documentation

SOAP_FMAC1 SOAP_ENV__Detail* SOAP_FMAC2 address_instantiate_SOAP_ENV__Detail | ( | struct soap * | ,
|  | int | ,
|  | const char * | ,
|  | const char * | ,
|  | size_t * |
| ) |  |
| friend

Friend allocator used by soap_new_SOAP_ENV__Detail(struct soap*, int)

SOAP_FMAC1 SOAP_ENV__Detail* SOAP_FMAC2 graph_instantiate_SOAP_ENV__Detail | ( | struct soap * | ,
|  | int | ,
|  | const char * | ,
|  | const char * | ,
|  | size_t * |
| ) |  |
| friend

Friend allocator used by soap_new_SOAP_ENV__Detail(struct soap*, int)

## Member Data Documentation

char * SOAP_ENV__Detail::__any

Definition at line 219 of file addressStub.h.

int SOAP_ENV__Detail::__type

Any type of element 'fault' assigned to fault with its SOAP_TYPE_T assigned to __type Do not create a cyclic data structure throught this member unless SOAP encoding or SOAP_XML_GRAPH are used for id-ref serialization

Definition at line 222 of file addressStub.h.

void * SOAP_ENV__Detail::fault

Definition at line 223 of file addressStub.h.

The documentation for this struct was generated from the following files:

- addressStub.h
- graphStub.h